class CreateDailyProjectStatistics < ActiveRecord::Migration[5.2]
  def change
    create_table :daily_project_statistics do |t|
      t.references :project
      t.date :date
      t.index :date 
      t.integer :score, default: 0
      t.integer :visits, default: 0 
      t.integer :watchers, default: 0 
      t.integer :praises, default: 0
      t.integer :forks, default: 0
      t.integer :issues, default: 0
      t.integer :pullrequests, default: 0
      t.integer :commits, default: 0

      t.timestamps
    end
  end
end
